Skip to main content
Back to API List

Send Outbound SMS API

This API enables sending outbound SMS messages through the platform’s generic SMS channel. The capability can be integrated into applications or services to facilitate SMS communication with customers.

Prerequisites

  • The SMS channel must be configured to send outbound SMS using this API. Learn more.
  • The phone number must be attached to an experience flow. Learn more.
MethodPOST
Endpointhttps://{{host}}/api/public/bot/{{BotId}}/outboundsms
Content-Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeOutbound SMS

Path Parameters

ParameterDescriptionType
hostEnvironment URL, for example, https://platform.kore.aistring, required
BotIdBotId or StreamId. You can access it from the bot’s App Settings page.string, required

Sample Request

curl --location 'https://{{host}}/api/public/bot/st-26d52ba6-7a77-56b2-be4e-a8db1da7e440/outboundsms' \
--header 'Content-Type: application/json;charset=UTF-8' \
--header 'auth: <token>' \
--data '{
    "fromNo": "+19876543210",
    "toNo": "+911234567890"
}'

Body Parameters

ParameterDescriptionType
fromNoThe sender’s phone number in E.164 format. For example, +19876543210. Note: This number must be attached to an Experience Flow.string, required
toNoThe recipient’s phone number in E.164 format. For example, +911234567890string, required

Sample Response

{
    "message": "Triggered the configured Experience flow to deliver message via SMS channel"
}